<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.third.doordevice.mapper.QinlinApiLogMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="qinlinApiLogResultMap" type="org.springblade.third.doordevice.entity.QinlinApiLog">
        <id column="id" property="id"/>
        <result column="code" property="code"/>
        <result column="message" property="message"/>
        <result column="method" property="method"/>
        <result column="req_data" property="reqData"/>
        <result column="data" property="data"/>
    </resultMap>


    <select id="selectQinlinApiLogPage" resultMap="qinlinApiLogResultMap">
        select * from third_qinlin_api_log where is_deleted = 0
    </select>

</mapper>
